%define name abuledu-tkegc
%define version 1.0
%define release 1
%define execname tkegc.tcl
%define execpublicname tkegc
%define abuledu_dest /usr/share/abuledu/applications

Summary: Tkegc: Ecriture Graphisme collaboratifs.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://intranet.abuledu.org/~abuledu_jlsendral/%{name}-%{version}.tgz
Source1:    %{name}-16.png.bz2
Source2:    %{name}-32.png.bz2
Source3:   %{name}-48.png.bz2
License: GPL 2
Group: AbulEdu
Url: http://www.abuledu.org/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: tcl > 8.3, tk > 8.3
Requires: tcl > 8.3, tk > 8.3
## abuledu-leterrier >= 0.3

%description
   En attendant Coccinella ou un autre :
   - Pour permettre des activites pedagogiques exigeant
   - un travail collectif.
Contacts : Jean-Louis Sendral <jlsendral@free.fr>  et dev@abuledu.org

%prep
%setup

%build
cat > lanceur << EOF
#!/bin/sh
(
cd %{abuledu_dest}/%{name}
wish ./%{execname}
)
EOF
chmod 755 lanceur
chmod 755 *.tcl
##chmod 755 runbrowser
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{abuledu_dest}/%{name}
mkdir -p $RPM_BUILD_ROOT/var/leterrier/%{execpublicname}
cp -a * $RPM_BUILD_ROOT%{abuledu_dest}/%{name}/

install -c lanceur $RPM_BUILD_ROOT%{_bindir}/%{execpublicname}
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png


(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{execpublicname}"\
title="%{execpublicname}"\
longtitle="%{name}"\
needs="x11"\
icon="%{name}.png"\
section="AbulEdu"
EOF
)
 
%post
##cp -a %{abuledu_dest}/%{name}/runbrowser /usr/bin
%{update_menus}
  
%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc aide_g.txt
%{_bindir}/%{execpublicname}
%{_menudir}/*
# icons
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%dir %{abuledu_dest}/%{name}/
%{abuledu_dest}/%{name}/*
##%attr(755, root, root) /var/leterrier/%{execpublicname}
##%attr(775,root,profs) %{abuledu_dest}/%{name}/data
##%attr(775,root,profs) %{abuledu_dest}/%{name}/data/*

%changelog
* Thu May 13 2004 JL Sendral
- Erreurs copier-coller de calculs.
* Mon May 02 2004 JL Sendral
- Essai d'adaptation du logiciel tkwhiteboard.
* Sun May 11 2003 Eric Seigne <erics@rycks.com> 1.0-1
- First release

